#include <bits/stdc++.h>
//#include <math.h>

using namespace std;

int main(){
	
	long long L, R;
	double p,q,r;
	long long rez=0;
	cin>>p>>q>>r>>L>>R;
	
	for(long long i=L+1; i<=R; i++){
		long long s;
		s=ceil(i/p)+ceil(i/q)+ceil(i/r);
		
		if(i>=s)
		rez++;
	}
	cout<<rez;
	
	
}